Ioncube + PHP 5.3 + Litespeed 4.11 = 503 On all ioncube encoded apps

Discussion in 'Bug Reports' started by piper, Oct 17, 2009.

  1. piper

    piper New Member

    I was able to reproduce this.

    Loading ioncube loader as Zend extension on PHP 5.3 cause 503 error on all ioncube encoded apps. It works fine with PHP 5.2.11 and others.

    Not sure if this is a litespeed issue ot ioncube loader libs (it works under apache in the same environment)

    Tested on 2 servers and could be reproduce. I'm going to check with IONCUBE people to see if they can find anything in the mean time.
  2. capbiker

    capbiker New Member

    It's a problem with Ioncube and not Litespeed because Ioncube haven't officially released an ioncube loader that will work with PHP 5.3 yet.

    The closes you can get at the moment is a beta version of the new Ioncube loader for PHP 5.3 of which as been released within the latest loader release for Linux X86.

    cap
  3. piper

    piper New Member

    They did release .so for 5.3

    ioncube_loader_lin_5.3.so
  4. piper

    piper New Member

    http://www.ioncube.com/news.php

    Was released on Sept 2nd
  5. mistwang

    mistwang LiteSpeed Staff

    It should be ioncube issue. You can enable PHP core dump with the special environment variable in lsphp5 configuration,
    http://www.litespeedtech.com/php-litespeed-sapi.html

    you can check the core file with GDB, it can tell you which function crash PHP, then you can file a bug report to the developer.
  6. piper

    piper New Member

    You are right, that's the timezone problem with php 5.3 and ioncube, i already logged the bugs to ioncube and php

Share This Page